#include <iostream>
#include <fstream>

//#define FILE_OUTPUT

using namespace std;

int sumOfDigits(int number)
{
    int sum = 0;
    while (number >= 1)
    {
        sum += number % 10;
        number /= 10;
    }
    return sum;
}

void tickets()
{

    int happyTicketsInThousand[1000];

    for (int i = 0 ; i < 1000 ; i++)
    {
        happyTicketsInThousand[i] = 0 ;
    }

    for (int ticketNumber = 0 ; ticketNumber <= 999999 ; ticketNumber++)
    {
        int left3digits = ticketNumber / 1000, right3digits = ticketNumber % 1000;
        if ( sumOfDigits(left3digits) == sumOfDigits(right3digits) )
            happyTicketsInThousand[left3digits]++;
    }

    int maxHappyNumbersInThousand = 0;
    for (int i = 0; i < 1000; i++)
        if (happyTicketsInThousand[i] > maxHappyNumbersInThousand)
            maxHappyNumbersInThousand = happyTicketsInThousand[i];

#ifndef FILE_OUTPUT
#define fout cout
#else
    ofstream fout;
    fout.open("happynumbers.txt", ios::out);
#endif

    for (int i = 0; i < 1000; i++)
        if (happyTicketsInThousand[i] == maxHappyNumbersInThousand)
            fout << i << endl;

#ifdef FILE_OUTPUT
    fout.close();
#endif

    return;
}

int main()
{
    tickets();

    double a[2] = {1.1, 2};
    cout << static_cast<int>(a[0]) << endl;
    return 0;
}
